import protoRoot from "@/utils/ws/base";

/**
 * 解码通用的protobuf数据
 * 推送格式映射在response.proto里的，使用此方法 ！
 * SocketResponse对应解码文件base.js里面的SocketResponse
 */
export async function decodeResponseProtoBuf(msg) {
  const SocketResponse = protoRoot.lookup("SocketResponse");
  let blob = msg.data;
  let arrybuff = await blob.arrayBuffer();
  let uinit8 = new Uint8Array(arrybuff);
  const result = SocketResponse.decode(uinit8);
  return result;
}
